/*
  Inserindo consulta com sucesso para pré-análise siape utilizando o cpf de um cliente do dfolha.
  Obs.: deve ser informado o código do representante em cod_sabemi
  Data: 23/05/2013
*/

--*************************************!!! E ROLLBACK COMENTADOS!!!********************************************

--*******************************************************************************************************************
use DFOLHAesp
      DECLARE @CPF VARCHAR(11)
      DECLARE @COD_LOG_CONSULTA_SIAPE INT
      DECLARE @COD_MATRICULA VARCHAR (50)
      DECLARE @COD_MATRICULA_COMPLEMENTAR VARCHAR (50)
      DECLARE @ORGAO INT
      DECLARE @COD_CONTROLE_INCLUSAO_SIAPE INT
      DECLARE @NME_SERVIDOR VARCHAR (50)
      DECLARE @DTA_NASC DATETIME
      DECLARE @TPO_SEXO CHAR (1)
      DECLARE @COD_REPR VARCHAR(4)
      DECLARE @COD_SABEMI VARCHAR(5)
	  DECLARE @margem VARCHAR(7)
	  
	  declare @desconto int
	  declare @num_upag_sec int
	  declare @cod_financeira int  --12 financeira sabemi, 23 daycaval, 68 PAN, 71 BONSUCESSO
	  declare @tpo_representante tinyint --1 loja, 2 --Representante 
	  declare @cod_operacao int --1 - Margem Livre, 2 - Refin, 3 - Compra de dívida
	  declare @idade_min int
	  declare @idade_max int
      --***************************!!!INFORMAR AQUI O REPRESENTANTE A SER UTILIZADO!!!*************************************
   	  SET @COD_SABEMI = ':COD_SABEMI'
	  SET @num_upag_sec = 792
	  SET @margem = ':MARGEM'
	  SET @CPF = ':CPF'       

	  --cpf com proposta ja cadastrada 07488416287
      --*******************************************************************************************************************

      SET @COD_REPR = (SELECT TOP 1 COD_REPR FROM AFREP_REPRESENTANTE WHERE COD_SABEMI = @COD_SABEMI)


      SET @ORGAO = (SELECT TOP 1 AFORG.NUM_ORGAO FROM AFPRF_PROPOSTA_FUNCIONARIO AFPRF
            INNER JOIN AFUPS_UPAG_SEC AFUPS
            ON AFPRF.NUM_UPAG_SEC = AFUPS.NUM_UPAG_SEC
            INNER JOIN AFSOR_SUB_ORGAO AFSOR  
            ON AFSOR.COD_SUBORGAO = AFUPS.COD_SUBORGAO
            INNER JOIN AFORG_ORGAO AFORG
            ON AFORG.NUM_ORGAO = AFSOR.NUM_ORGAO
            INNER JOIN AFPFI_PESSOA_FISICA AFPFI
            ON AFPRF.COD_PESSOA_FISICA = AFPFI.COD_PESSOA_FISICA

            WHERE AFPFI.CPF = @CPF AND AFORG.COD_DESCONTO = 0)   
			
	IF @ORGAO IS NULL SET @ORGAO = 4                   
            
      SET @NUM_UPAG_SEC = (SELECT TOP 1 AFPRF.NUM_UPAG_SEC FROM AFPRF_PROPOSTA_FUNCIONARIO AFPRF
            INNER JOIN AFPFI_PESSOA_FISICA AFPFI
            ON AFPRF.COD_PESSOA_FISICA = AFPFI.COD_PESSOA_FISICA
            INNER JOIN AFUPS_UPAG_SEC AFUPS
            ON AFPRF.NUM_UPAG_SEC = AFUPS.NUM_UPAG_SEC
            INNER JOIN AFSOR_SUB_ORGAO AFSOR
            ON AFSOR.COD_SUBORGAO = AFUPS.COD_SUBORGAO
            INNER JOIN AFORG_ORGAO AFORG
            ON AFORG.NUM_ORGAO = AFSOR.NUM_ORGAO
            WHERE AFPFI.CPF = @CPF AND AFORG.COD_DESCONTO = 0) --OR AFPRF.NUM_UPAG_SEC = 3))
			
			
	  IF @NUM_UPAG_SEC IS NULL SET @NUM_UPAG_SEC = 792

      
      SET @COD_MATRICULA = --'222'
            (SELECT TOP 1 AFPRF.COD_MATRICULA FROM AFPRF_PROPOSTA_FUNCIONARIO AFPRF
                  INNER JOIN AFPFI_PESSOA_FISICA AFPFI
                  ON AFPRF.COD_PESSOA_FISICA = AFPFI.COD_PESSOA_FISICA
                  WHERE AFPFI.CPF = @CPF AND AFPRF.NUM_UPAG_SEC = @NUM_UPAG_SEC) --OR AFPRF.NUM_UPAG_SEC = 3))
            
      IF @COD_MATRICULA IS NULL SET @COD_MATRICULA = ':MATRICULA'

      SET @COD_MATRICULA_COMPLEMENTAR = --'222'
            (SELECT TOP 1 AFPRF.COD_MATRICULA_COMPLEMENTAR FROM AFPRF_PROPOSTA_FUNCIONARIO AFPRF
                  INNER JOIN AFPFI_PESSOA_FISICA AFPFI
                  ON AFPRF.COD_PESSOA_FISICA = AFPFI.COD_PESSOA_FISICA
                  WHERE AFPFI.CPF = @CPF AND AFPRF.NUM_UPAG_SEC = @NUM_UPAG_SEC) --OR AFPRF.NUM_UPAG_SEC = 3))

      IF @COD_MATRICULA_COMPLEMENTAR IS NULL SET @COD_MATRICULA_COMPLEMENTAR = ':MATRICULA'         

      INSERT INTO AFLCS_LOG_CONSULTA_SIAPE (DTA_CONSULTA,
      COD_REPR,
      NUM_CPF,
      COD_MATRICULA,
      COD_MATRICULA_COMPLEMENTAR,
      NUM_ORGAO,
      COD_EMPRESA,
      DSC_SENHA_CCHEQUE,
      COD_TPO_CONSULTA_SIAPE,
      STA_ATIVO)
      VALUES(GETDATE(),
      @COD_REPR,
      @CPF,
      SUBSTRING(@COD_MATRICULA, 1, len(@COD_MATRICULA) - 1),
      SUBSTRING(@COD_MATRICULA_COMPLEMENTAR, 1, len(@COD_MATRICULA_COMPLEMENTAR) - 1),
      @ORGAO,
      6,
      '12345678',
      3,
      1)

      SET @COD_LOG_CONSULTA_SIAPE = (SELECT TOP 1 AFLCS.COD_LOG_CONSULTA_SIAPE FROM AFLCS_LOG_CONSULTA_SIAPE AFLCS WHERE NUM_CPF = @CPF ORDER BY AFLCS.COD_LOG_CONSULTA_SIAPE DESC)

      INSERT INTO AFCIS_CONTROLE_INCLUSAO_SIAPE (COD_LOG_CONSULTA_SIAPE,
      DTA_CONSULTA,
      STA_CONSULTA,
      COD_EMPRESA,
      STA_ATIVO)
      VALUES (@COD_LOG_CONSULTA_SIAPE,
      GETDATE(),
      2,
      6,
      1)

      SET @COD_CONTROLE_INCLUSAO_SIAPE = (SELECT TOP 1 AFCIS.COD_CONTROLE_INCLUSAO_SIAPE FROM AFCIS_CONTROLE_INCLUSAO_SIAPE AFCIS WHERE COD_LOG_CONSULTA_SIAPE = @COD_LOG_CONSULTA_SIAPE ORDER BY AFCIS.COD_CONTROLE_INCLUSAO_SIAPE DESC)
      
	  SET @NME_SERVIDOR = (SELECT TOP 1 AFPFI.NOME FROM AFPFI_PESSOA_FISICA AFPFI WHERE CPF = @CPF)
	  IF @NME_SERVIDOR IS NULL SET @NME_SERVIDOR = 'JOAO DE DEUS'

      SET @DTA_NASC = (SELECT TOP 1 AFPFI.DTA_NASC FROM AFPFI_PESSOA_FISICA AFPFI WHERE CPF = @CPF)
	  IF @DTA_NASC IS NULL SET @DTA_NASC = ':DATA_NASC'

      SET @TPO_SEXO = (SELECT TOP 1 AFPFI.SEXO FROM AFPFI_PESSOA_FISICA AFPFI WHERE CPF = @CPF)
	  IF @TPO_SEXO IS NULL SET @TPO_SEXO = 'M'

      INSERT INTO AFRDS_RETORNO_DADOS_SIAPE(COD_CONTROLE_INCLUSAO_SIAPE,
      DTA_RETORNO,
      DSC_RETORNO,
      NME_SERVIDOR,
      DTA_NASC,
      TPO_SEXO,
      COD_BANCO,
      COD_AGENCIA,
      NUM_CONTA,
      VLR_MARGEM,
      STA_ATIVO,
      NUM_UPAG_SEC,
      COD_TPO_CONSULTA_SIAPE,
      STA_PODE_CONTRATAR)
      VALUES (@COD_CONTROLE_INCLUSAO_SIAPE,
      GETDATE(),
      'TestComplete',
      @NME_SERVIDOR,
      @DTA_NASC,
      @TPO_SEXO,
      '001',
      '32026',
      '000244635',
      @margem,
      1,
      @NUM_UPAG_SEC,
      3,
      1)    


